## ptlib 2.6.7

=== src/Makefile ===
# Makefile
#
# Make file for ptlib library
#
# Portable Windows Library
#
# Copyright (c) 1993-1998 Equivalence Pty. Ltd.
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.0 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is Portable Windows Library.
#
# The Initial Developer of the Original Code is Equivalence Pty. Ltd.
#
# Portions are Copyright (C) 1993 Free Software Foundation, Inc.
# All Rights Reserved.
# 
# Contributor(s): Matthias Schneider____________________.

ifndef PTLIBDIR
PTLIBDIR := $(HOME)/ptlib
endif

include $(PTLIBDIR)/make/unix.mak

OBJDIR	= $(PT_OBJDIR)
LIBDIR  = $(PT_LIBDIR)
TARGET  = $(LIBDIR)/$(PTLIB_FILE)
VERSION_FILE = $(PTLIBDIR)/version.h

##########################################

COMPONENT_SRC_DIR	= ptclib
COMMON_SRC_DIR		= ptlib/common
PLUGIN_DIR		= ../plugins
ifeq ($(OSTYPE),mingw)
PLATFORM_SRC_DIR        = ptlib/msos
else
PLATFORM_SRC_DIR        = ptlib/unix
endif
VPATH_CXX		:= $(PLATFORM_SRC_DIR) $(COMMON_SRC_DIR) $(COMPONENT_SRC_DIR) 


# try and keep the order of modules in reverse order of usage so any
# global statics will be constructed/destructed in the correct order

ifdef HAS_SASL2
SOURCES	+= $(COMPONENT_SRC_DIR)/psasl.cxx 
endif

ifdef HAS_OPENLDAP
SOURCES	+= \
	$(COMPONENT_SRC_DIR)/pldap.cxx \
        $(COMPONENT_SRC_DIR)/pils.cxx
endif

ifdef HAS_OPENSSL
SOURCES += $(COMPONENT_SRC_DIR)/pssl.cxx 
endif

ifdef HAS_SDL
SOURCES += $(COMPONENT_SRC_DIR)/vsdl.cxx

$(OBJDIR)/vsdl.o: $(COMPONENT_SRC_DIR)/vsdl.cxx
	@if [ ! -d $(OBJDIR) ] ; then mkdir -p $(OBJDIR) ; fi
	$(Q_CC)$(CXX) -DP_FORCE_STATIC_PLUGIN $(STDCCFLAGS) $(CFLAGS) -c $< -o $@

endif

ifdef HAS_ODBC
SOURCES += $(COMPONENT_SRC_DIR)/podbc.cxx
endif

## VIDEO DRIVERS
## Note this is mostly handled by the plugin system

ifdef HAS_VIDEO

SOURCES	 += $(COMMON_SRC_DIR)/vfakeio.cxx \
            $(COMMON_SRC_DIR)/videoio.cxx \
	    $(COMMON_SRC_DIR)/vconvert.cxx \
	    $(COMMON_SRC_DIR)/pvidchan.cxx \
	    $(COMMON_SRC_DIR)/tinyjpeg.c \
	    $(COMMON_SRC_DIR)/jidctflt.c

$(OBJDIR)/vfakeio.o: $(COMMON_SRC_DIR)/vfakeio.cxx
	@if [ ! -d $(OBJDIR) ] ; then mkdir -p $(OBJDIR) ; fi
	$(Q_CC)$(CXX) -DP_FORCE_STATIC_PLUGIN $(STDCCFLAGS) $(CFLAGS) -c $< -o $@

ifdef HAS_SHM_VIDEO
SOURCES	+= $(PLATFORM_SRC_DIR)/shmvideo.cxx
endif

ifndef HAS_PLUGINS

ifeq ($(OSTYPE),linux)
VPATH_CXX	+= $(PLUGIN_DIR)/vidinput_v4l
SOURCES		+= $(PLUGIN_DIR)/vidinput_v4l/vidinput_v4l.cxx
endif

endif  # HAS_PLUGINS

ifdef HAS_VFW_CAPTURE
SOURCES		+= $(PLATFORM_SRC_DIR)/vfw.cxx
endif

ifdef HAS_DIRECTSHOW
SOURCES	+= $(PLATFORM_SRC_DIR)/vidinput_directx.cxx
$(OBJDIR)/vidinput_directx.o: $(PLATFORM_SRC_DIR)/vidinput_directx.cxx
	@if [ ! -d $(OBJDIR) ] ; then mkdir -p $(OBJDIR) ; fi
	$(Q_CC)$(CXX) -DP_FORCE_STATIC_PLUGIN $(STDCCFLAGS) $(CFLAGS) -c $< -o $@
endif

endif # HAS_VIDEO

## SOUND DRIVERS
## Note this is mostly handled by the plugin system

ifdef HAS_AUDIO

SOURCES += $(COMMON_SRC_DIR)/sound.cxx 

ifeq ($(OSTYPE),mingw)
SOURCES += $(PLATFORM_SRC_DIR)/sound_win32.cxx
$(OBJDIR)/sound_win32.o: $(PLATFORM_SRC_DIR)/sound_win32.cxx
	@if [ ! -d $(OBJDIR) ] ; then mkdir -p $(OBJDIR) ; fi
	$(Q_CC)$(CXX) -DP_FORCE_STATIC_PLUGIN $(STDCCFLAGS) $(CFLAGS) -c $< -o $@
endif

ifndef HAS_PLUGINS

ifeq ($(OSTYPE),linux)
VPATH_CXX	+= $(PLUGIN_DIR)/sound_oss
SOURCES		+= $(PLUGIN_DIR)/sound_oss/sound_oss.cxx
endif # linux

ifdef HAS_ALSA
VPATH_CXX	+= $(PLUGIN_DIR)/sound_alsa
SOURCES		+= $(PLUGIN_DIR)/sound_alsa/sound_alsa.cxx
endif  # HAS_ALSA

ifeq ($(OSTYPE),beos)
SOURCES	 += $(PLATFORM_SRC_DIR)/beaudio.cxx
endif  # beos
 
endif  # HAS_PLUGINS

# Although not an external plugin, the MacOSX
# CoreAudio sound driver still is in plugin form
# and requires the PPluginManager
ifeq ($(OSTYPE),Darwin)
SOURCES	+= $(PLATFORM_SRC_DIR)/maccoreaudio.cxx
endif # Darwin

endif  # HAS_AUDIO

## Various modules

ifdef HAS_EXPAT
SOURCES	+= $(COMPONENT_SRC_DIR)/pxml.cxx 

ifdef HAS_XMLRPC
SOURCES	+= \
	$(COMPONENT_SRC_DIR)/pxmlrpc.cxx \
	$(COMPONENT_SRC_DIR)/pxmlrpcs.cxx 
endif

ifdef HAS_SOAP
SOURCES	+= $(COMPONENT_SRC_DIR)/psoap.cxx 
endif

ifdef HAS_VXML
SOURCES	+= $(COMPONENT_SRC_DIR)/vxml.cxx 
endif

ifdef HAS_SASL2
SOURCES += \
	$(COMPONENT_SRC_DIR)/xmpp.cxx \
	$(COMPONENT_SRC_DIR)/xmpp_c2s.cxx \
	$(COMPONENT_SRC_DIR)/xmpp_muc.cxx \
	$(COMPONENT_SRC_DIR)/xmpp_roster.cxx
endif
endif # HAS_EXPAT


ifdef HAS_RESOLVER
SOURCES += \
	$(COMPONENT_SRC_DIR)/pdns.cxx \
	$(COMPONENT_SRC_DIR)/enum.cxx 
endif

ifdef HAS_TTS
SOURCES += $(COMPONENT_SRC_DIR)/ptts.cxx 
endif

ifdef HAS_ASN
SOURCES += \
	$(COMPONENT_SRC_DIR)/asner.cxx \
	$(COMPONENT_SRC_DIR)/pasn.cxx 
endif

ifdef HAS_SNMP
SOURCES += \
	$(COMPONENT_SRC_DIR)/snmpclnt.cxx \
	$(COMPONENT_SRC_DIR)/snmpserv.cxx \
	$(COMPONENT_SRC_DIR)/psnmp.cxx \
	$(COMPONENT_SRC_DIR)/snmp.cxx \
	$(COMPONENT_SRC_DIR)/rfc1155.cxx 
endif

ifdef HAS_FTP
SOURCES += \
	$(COMPONENT_SRC_DIR)/ftpclnt.cxx \
	$(COMPONENT_SRC_DIR)/ftpsrvr.cxx \
	$(COMPONENT_SRC_DIR)/ftp.cxx 
endif

ifdef HAS_TELNET
SOURCES += $(COMPONENT_SRC_DIR)/telnet.cxx 
endif

ifdef HAS_STUN
SOURCES += $(COMPONENT_SRC_DIR)/pstun.cxx \
           $(COMPONENT_SRC_DIR)/pnat.cxx

$(OBJDIR)/pstun.o: $(COMPONENT_SRC_DIR)/pstun.cxx
	@if [ ! -d $(OBJDIR) ] ; then mkdir -p $(OBJDIR) ; fi
	$(Q_CC)$(CXX) -DP_FORCE_STATIC_PLUGIN $(STDCCFLAGS) $(CFLAGS) -c $< -o $@

endif

ifdef HAS_SOCKS
SOURCES += $(COMPONENT_SRC_DIR)/socks.cxx 
endif

ifdef HAS_PIPECHAN
ifeq ($(OSTYPE),mingw)
SOURCES += $(PLATFORM_SRC_DIR)/pipe.cxx 
SOURCES += $(COMMON_SRC_DIR)/pipechan.cxx 
else
SOURCES += $(PLATFORM_SRC_DIR)/pipechan.cxx 
endif
endif

ifdef HAS_REMCONN
SOURCES += $(PLATFORM_SRC_DIR)/remconn.cxx 
endif

ifdef HAS_WAVFILE
SOURCES += $(COMPONENT_SRC_DIR)/pwavfile.cxx \
           $(COMPONENT_SRC_DIR)/pwavfiledev.cxx

$(OBJDIR)/pwavfiledev.o: $(COMPONENT_SRC_DIR)/pwavfiledev.cxx
	@if [ ! -d $(OBJDIR) ] ; then mkdir -p $(OBJDIR) ; fi
	$(Q_CC)$(CXX) -DP_FORCE_STATIC_PLUGIN $(STDCCFLAGS) $(CFLAGS) -c $< -o $@
endif

ifdef HAS_DTMF
SOURCES += $(COMPONENT_SRC_DIR)/dtmf.cxx 
endif

ifdef HAS_SERIAL

ifeq ($(OSTYPE),mingw)
SOURCES += $(PLATFORM_SRC_DIR)/winserial.cxx \
     	   $(COMMON_SRC_DIR)/serial.cxx

else
SOURCES += $(PLATFORM_SRC_DIR)/serchan.cxx
endif

SOURCES += $(COMPONENT_SRC_DIR)/modem.cxx 
endif

ifdef HAS_POP3SMTP
SOURCES += \
	$(COMPONENT_SRC_DIR)/inetmail.cxx 
endif

ifdef HAS_URL
SOURCES += \
	$(COMPONENT_SRC_DIR)/url.cxx 
endif

ifdef HAS_HTTP
SOURCES += \
	$(COMPONENT_SRC_DIR)/http.cxx \
	$(COMPONENT_SRC_DIR)/httpclnt.cxx \
	$(COMPONENT_SRC_DIR)/httpsrvr.cxx
endif

ifdef HAS_HTTPFORMS
SOURCES += \
	$(COMPONENT_SRC_DIR)/httpform.cxx \
	$(COMPONENT_SRC_DIR)/html.cxx 
endif #HAS_HTTPFORMS

ifdef HAS_HTTPSVC
SOURCES += \
	$(PLATFORM_SRC_DIR)/svcproc.cxx \
	$(COMPONENT_SRC_DIR)/httpsvc.cxx

ifdef HAS_OPENSSL
SOURCES += $(COMPONENT_SRC_DIR)/shttpsvc.cxx
endif #HAS_OPENSSL
endif #HAS_HTTPSVC

ifdef HAS_CONFIG_FILE
ifeq ($(OSTYPE),mingw)
SOURCES += $(PLATFORM_SRC_DIR)/wincfg.cxx 
else
SOURCES += $(PLATFORM_SRC_DIR)/config.cxx 
endif
endif

SOURCES += $(COMPONENT_SRC_DIR)/threadpool.cxx

ifdef HAS_VIDFILE
SOURCES += $(COMPONENT_SRC_DIR)/pvidfile.cxx \
	   $(COMPONENT_SRC_DIR)/pvfiledev.cxx 

$(OBJDIR)/pvfiledev.o: $(COMPONENT_SRC_DIR)/pvfiledev.cxx
	@if [ ! -d $(OBJDIR) ] ; then mkdir -p $(OBJDIR) ; fi
	$(Q_CC)$(CXX) -DP_FORCE_STATIC_PLUGIN $(STDCCFLAGS) $(CFLAGS) -c $< -o $@

endif

ifdef HAS_FFVDEV
SOURCES += $(COMPONENT_SRC_DIR)/pffvdev.cxx

$(OBJDIR)/pffvdev.o: $(COMPONENT_SRC_DIR)/pffvdev.cxx
	@if [ ! -d $(OBJDIR) ] ; then mkdir -p $(OBJDIR) ; fi
	$(Q_CC)$(CXX) -DP_FORCE_STATIC_PLUGIN $(STDCCFLAGS) $(CFLAGS) -c $< -o $@

endif

ifeq ($(OSTYPE),mingw)
SOURCES	+= \
        $(PLATFORM_SRC_DIR)/ptlib.cxx \
        $(PLATFORM_SRC_DIR)/icmp.cxx \
        $(PLATFORM_SRC_DIR)/winsock.cxx \
        $(PLATFORM_SRC_DIR)/win32.cxx \
        $(PLATFORM_SRC_DIR)/dllmain.cxx \
        $(PLATFORM_SRC_DIR)/ethsock.cxx \
        $(COMMON_SRC_DIR)/pchannel.cxx \
        $(COMMON_SRC_DIR)/pethsock.cxx \
        $(COMMON_SRC_DIR)/pconfig.cxx
else
SOURCES	+= \
	$(PLATFORM_SRC_DIR)/uicmp.cxx \
	$(PLATFORM_SRC_DIR)/socket.cxx \
	$(PLATFORM_SRC_DIR)/udll.cxx \
	$(PLATFORM_SRC_DIR)/channel.cxx \
	$(PLATFORM_SRC_DIR)/osutil.cxx \
	$(PLATFORM_SRC_DIR)/tlib.cxx \
	$(PLATFORM_SRC_DIR)/switch.cxx
endif

GETDATE_SOURCE = $(COMMON_SRC_DIR)/getdate.tab.c

SOURCES	+= \
	$(COMPONENT_SRC_DIR)/ipacl.cxx \
	$(COMPONENT_SRC_DIR)/qchannel.cxx \
	$(COMPONENT_SRC_DIR)/delaychan.cxx \
	$(COMPONENT_SRC_DIR)/memfile.cxx \
	$(COMPONENT_SRC_DIR)/cypher.cxx \
	$(COMPONENT_SRC_DIR)/random.cxx \
	$(COMPONENT_SRC_DIR)/inetprot.cxx \
	$(COMPONENT_SRC_DIR)/notifier_ext.cxx \
	$(COMPONENT_SRC_DIR)/guid.cxx \
	$(GETDATE_SOURCE) \
	$(PLATFORM_SRC_DIR)/assert.cxx \
        $(COMMON_SRC_DIR)/pluginmgr.cxx \
	$(COMMON_SRC_DIR)/sockets.cxx \
	$(COMMON_SRC_DIR)/psockbun.cxx \
	$(COMMON_SRC_DIR)/qos.cxx \
	$(COMMON_SRC_DIR)/ptime.cxx \
	$(COMMON_SRC_DIR)/osutils.cxx \
	$(COMMON_SRC_DIR)/safecoll.cxx \
	$(COMMON_SRC_DIR)/collect.cxx \
	$(COMMON_SRC_DIR)/contain.cxx \
	$(COMMON_SRC_DIR)/object.cxx   # must be last module

ifneq ($(HAS_REGEX),1)
OBJS	= $(OBJDIR)/regcomp.o $(OBJDIR)/regexec.o $(OBJDIR)/regerror.o $(OBJDIR)/regfree.o
endif

CLEAN_FILES = $(GETDATE_SOURCE)


#######################################################

include ../make/common.mak

#######################################################

alllibs:
	$(MAKE) both
	$(MAKE) bothshared


$(OBJDIR)/regcomp.o: $(COMMON_SRC_DIR)/regex/regcomp.c
	$(Q_CC)$(CC) $(DEBUG_FLAG) $(OPTCCFLAGS) -c -DPOSIX_MISTAKE -I$(COMMON_SRC_DIR)/regex $(CFLAGS) -o $@ -c $<

$(OBJDIR)/regexec.o: $(COMMON_SRC_DIR)/regex/regexec.c
	$(Q_CC)$(CC) $(DEBUG_FLAG) $(OPTCCFLAGS) -c -DPOSIX_MISTAKE -I$(COMMON_SRC_DIR)/regex $(CFLAGS) -o $@ -c $<

$(OBJDIR)/regerror.o: $(COMMON_SRC_DIR)/regex/regerror.c
	$(Q_CC)$(CC) $(DEBUG_FLAG) $(OPTCCFLAGS) -c -DPOSIX_MISTAKE -I$(COMMON_SRC_DIR)/regex $(CFLAGS) -o $@ -c $<

$(OBJDIR)/regfree.o: $(COMMON_SRC_DIR)/regex/regfree.c
	$(Q_CC)$(CC) $(DEBUG_FLAG) $(OPTCCFLAGS) -c -DPOSIX_MISTAKE -I$(COMMON_SRC_DIR)/regex $(CFLAGS) -o $@ -c $<


ifdef REQUIRES_SEPARATE_SWITCH 
$(OBJDIR)/switch.o: $(PLATFORM_SRC_DIR)/switch.cxx
	@if [ ! -d $(OBJDIR) ] ; then mkdir -p $(OBJDIR) ; fi
	$(Q_CC)$(CXX) $(STDCCFLAGS) $(CFLAGS) -c $< -o $@
endif

$(OBJDIR)/getdate.tab.o: $(GETDATE_SOURCE)
	$(Q_CC)$(CC) $(STDCCFLAGS) $(CFLAGS) -c $< -o $@

$(DEPDIR)/getdate.tab.dep: $(GETDATE_SOURCE)
	$(Q_CC)$(CC) $(STDCCFLAGS) -M $< >> $@

$(GETDATE_SOURCE): $(COMMON_SRC_DIR)/getdate.y
	bison $(COMMON_SRC_DIR)/getdate.y -o $(COMMON_SRC_DIR)/getdate.tab.c

#######################################################

LIB_BASENAME=$(PTLIB_BASE)
LIB_FILENAME=$(PTLIB_FILE)

include $(PTLIBDIR)/make/lib.mak

#######################################################

# End of Makefile

=== debian/changelog ===
ptlib (2.6.7-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix for missing RTF_WASCLONED macro on GNU/kFreeBSD.  (Closes: #637944)
  * Replace hard-coded non-Linux architectures with "linux-any".
    (Closes: #634502)

 -- Robert Millan <rmh@debian.org>  Sat, 22 Oct 2011 17:28:09 +0200

ptlib (2.6.7-2) unstable; urgency=low

  * Add source/format '3.0 (quilt)'
  * libpt-dbg package - versioning removed
  * Update +Vcs-Svn: +Vcs-Browser:
  * Drop unsupported SSLv2_method - removed from openssl
    - Fixes "FTBFS: ptclib/pssl.cxx:810:27: error: 'SSLv2_method' was not
    declared in this scope" (Closes: #622012)

 -- Mark Purcell <msp@debian.org>  Sat, 02 Jul 2011 16:08:39 +1000

ptlib (2.6.7-1) unstable; urgency=low

  [Mark Purcell]
  * New upstream release 
    - NEW package libpt2.6.7 - soname bump
    - Fix FTBFS on GNU/kFreeBSD (Closes: #545948)
  * Constrain debian/watch to just track 2.6 series (Lalande release)
    - Move to svn://svn.debian.org/pkg-voip/ptlib/branches/ptlib-2.6
  * Switch to dh (7) - drop cdbs
  * Depreciate libptX.X.X-plugins -> libptX.X.X
    - Makes dependent packages binNMU safe
  * Reinstate get-orig-source target - uscan

  [Eugen Dedu]
  * Remove Build-Conflict with its own runtime (Closes: #459712)

 -- Mark Purcell <msp@debian.org>  Thu, 27 May 2010 22:27:41 +1000

ptlib (2.6.5-1) unstable; urgency=low

  * New upstream release
    - fix compilation on kFreeBSD (Closes: #545948)

 -- Mark Purcell <msp@debian.org>  Sat, 03 Oct 2009 17:11:51 +1000

ptlib (2.6.4-1) unstable; urgency=low

  * New upstream release (Closes: #533519)
  * Gather all the current plugins into one package, since they were
    really small.
    - NEW package libpt2.6.4-plugins

 -- Mark Purcell <msp@debian.org>  Sat, 06 Jun 2009 12:21:35 +1000

ptlib (2.6.3-1) unstable; urgency=low

  * New upstream release
    - soname bump - NEW package libpt2.6.3
    - ptlib transition continues ;-)
  * Another variable in debian/watch

 -- Mark Purcell <msp@debian.org>  Sat, 06 Jun 2009 06:20:50 +1000

ptlib (2.6.2-1) unstable; urgency=low

  * New upstream release
    - soname bump - NEW package libpt2.6.2
    - ptlib transition agreed on debian-release

  [ Kilian Krause ]
  * Remove -N from wget args in get-orig-source target as -O is already
    used.

 -- Mark Purcell <msp@debian.org>  Wed, 27 May 2009 05:33:29 +1000

ptlib (2.6.1-2) unstable; urgency=low

  * Upload to unstable 
    - ptlib transition - discussed on debian-release
  * Update debian/copyright - Thks Charles & Eugen
    - (Closes: #525286): "Missing entries in debian/copyright."

 -- Mark Purcell <msp@debian.org>  Mon, 27 Apr 2009 19:48:16 +1000

ptlib (2.6.1-1) experimental; urgency=low

  * New upstream release.

  [ Eugen Dedu ]
  * Remove DC and AVC plugin packages, since they do not compile anymore
    with current versions of libraw1394/libdc1394/libavc1394 in debian.
  * debian/rules: Honour DEB_BUILD_OPTIONS parameter for parallel builds.
  * Fix control fields: Vcs-Svn and Vcs-Browser.

  [ Mark Purcell ]
  * Switch development package to libpt-dev. Guidance from debian-release
  * Begin migration from old libpt versions
  * Update debian/watch -> sf.net & ftp.gnome.org
  * debian/libpt-dev.install replaces mv/cp stataments in debian/rules
  * Add Build-Depends: libv4l-dev (Closes: #512931)
  * Call dh_prep vice dh_clean -k

 -- Mark Purcell <msp@debian.org>  Fri, 03 Apr 2009 00:22:05 +1100

ptlib (2.4.2-3) experimental; urgency=low

  * Provide ODBC support Build-Depend: / Depend: unixodbc-dev 
    - fixes ekiga i386 build issues
  * libpt2.4.2-dev Depends: pkg-config

 -- Mark Purcell <msp@debian.org>  Wed, 10 Dec 2008 21:14:24 +1100

ptlib (2.4.2-2) experimental; urgency=low

  [ Eugen Dedu ]
  * Build-Depends on pkg-config, allowing to correctly build the package.

  [ Mark Purcell ]
  * Integrate historic pwlib{-titan} debian/changelog

 -- Mark Purcell <msp@debian.org>  Sat, 15 Nov 2008 08:10:21 +1100

ptlib (2.4.2-1) experimental; urgency=low

  [ Eugen Dedu ]
  * New stable version 2.4.2, with update of debian files

 -- Mark Purcell <msp@debian.org>  Thu, 06 Nov 2008 21:30:25 +1100

ptlib (2.3.0+svn20940-1) experimental; urgency=low

  [ Eugen Dedu ]
  * Build-Depends on libdv4-dev instead of libdv-dev
  * Fix naming Portable Windows -> Portable Tools in control file
  * Really include upstream changelog in the package
  * Build from svn snapshot REV 20940

 -- Mark Purcell <msp@debian.org>  Sun, 14 Sep 2008 15:57:47 +1000

ptlib (2.3.0+svn20904-1) experimental; urgency=low

  [ Eugen Dedu ]
  * First upload of svn snapshot to debian.
  * Build from REV 20904, take into account the changes
  * Make use of make install, simplify the install target in rules file
  * Rename package to -beta1

  [ Mark Purcell ]
  * 2.3.0 was tagged at REV 20678, thus this version 2.3.0+svn
  * svn REV checkout is controlled from debian/changelog version
  * Updated debian/watch to pickup next tag
  * Update Description: to explict state this svn snapshot

 -- Mark Purcell <msp@debian.org>  Thu, 11 Sep 2008 21:50:19 +1000

ptlib-snapshot (0-20080418-1) voip; urgency=low

  * Built from SVN snapshots.  No package support, please refer to
    irc.gimp.net channel #ekiga for support.  Do not complain about
    these debs at Debian BTS!

 -- Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>  Sun, 18 Apr 2008 00:00:00 +0200

ptlib-snapshot (0-20071107-03-sid.2) voip-snapshots-debian-sid; urgency=high

  * Built from CVS snapshots. No package support, please refer to
    irc.gimp.net channel #ekiga for support

 -- Kilian Krause <kilian@debian.org>  Sun, 27 May 2007 21:31:35 +0000

pwlib-titan (1.11.2-2) unstable; urgency=low

  [ Kilian Krause ]
  * Fix debian/watch to use sf.net instead of voxgratia.org (Closes: #453595)
  * Remove symlinks of unused compatibility versions.
  * Remove entire -ptrace and -debug build and leave only opt build with
    PTRACE code as new binary library. Discussion with Robert Jongbloed


=== debian/control ===
Source: ptlib
Section: libs
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, doxygen, pkg-config, bison, flex,
 unixodbc-dev, libssl-dev, libldap2-dev, libsasl2-dev, libkrb5-dev, libexpat1-dev,
 libsdl1.2-dev, libdv4-dev, 
 libv4l-dev [linux-any],
 libasound2-dev  [linux-any]
Build-Conflicts: libpt-dev
Standards-Version: 3.8.4
Homepage: http://www.opalvoip.org/
Vcs-Svn: svn://svn.debian.org/pkg-voip/ptlib/branches/ptlib2.6-lalande
Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/ptlib/branches/ptlib2.6-lalande
DM-Upload-Allowed: yes

Package: libpt2.6.7
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Portable Tools Library
 This package contains the shared version of the library PTLib, which is
 a moderately large class library that has its genesis many years ago as
 a method to produce applications to run on both Microsoft Windows and
 Unix X-Window systems.
 .
 This package also contains all the current PTLib plugins (alsa, oss and v4l).

Package: libpt-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpt2.6.7 (= ${binary:Version}),
 libc6-dev, libssl-dev, libldap2-dev, libsdl1.2-dev, libexpat1-dev, libsasl2-dev, unixodbc-dev, pkg-config
Description: Portable Tools Library development files
 This package contains the headers and a static version of the library
 PTLib, which is a moderately large class library that has its genesis
 many years ago as a method to produce applications to run on both
 Microsoft Windows and Unix X-Window systems.

Package: libpt-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpt2.6.7 (= ${binary:Version})
Description: Portable Tools Library development debug files
 This package contains the shared and static debug symbols of the library
 PTLib, which is a moderately large class library that has its genesis
 many years ago as a method to produce applications to run on both
 Microsoft Windows and Unix X-Window systems.  This is not the debug compiled
 version of PTLib which would yield much more detailled information as a
 compromise of benefit and compile power consumption.

Package: libpt-doc
Section: doc
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: all
Description: Portable Tools Library documentation & sample files
 This package contains the documentation and samples to program with
 PTLib, which is a moderately large class library that has its genesis
 many years ago as a method to produce applications to run on both
 Microsoft Windows and Unix X-Window systems.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-oss --enable-v4l --disable-avc --disable-dc --disable-odbc

override_dh_auto_build:
	dh_auto_build -- all docs

override_dh_strip:
	dh_strip -a --dbg-package=libpt-dbg

get-orig-source:
	uscan --force-download

=== debian/watch ===
version=3

http://sf.net/opalvoip/ptlib-(2.6.\d).tar.bz2 debian svn-upgrade

## ptlib 2.10.1~dfsg

=== debian/changelog ===
ptlib (2.10.1~dfsg-1) experimental; urgency=low

  * New upstream release: 2.10.1 (Luyten) 
    Closes: #622012, #598986
  * Re-Add myself to Uploaders
  * Bump debhelper compat to 8
  * Fix debian/watch to allow double digit minor versions
  * Drop Changelog-ptlib from docs as upstream doesn't ship it
  * Bump Standards-Version to 3.9.2 - no changes required
  * Update VCS browser field to anonscm.d.o
  * Repack as DFSG to remove upstream's windows binaries
  * Fix debian/watch to add ~dfsg version mangle
  * Remove unused ${shlibs:Depends} from libpt-dev, libpt-dbg and libpt-doc
  * Re-Add more complete clean target and debian/clean for dh_clean to wipe
    out leftover files
  * Replace jquery.js with Debian's version to make lintian happy
  * Add symbols file for libpt2.10.1 (but don't fail builds while we're in
    experimental)
  * Add pkg-kde-tools to take advantage of pkgkde-symbolshelper which is
    better suited for C++ libs - thanks to Modestas Vainius!
    (this makes c++ symbol files somewhat less painful. But still different
    g++ versions emit a bit different symbol sets so ftbfs'es happen)
  * Register API documentation with doc-base
  * Add dlclose fixes from upstream to unloading plugins without ld.so issuing
    an error

 -- Kilian Krause <kilian@debian.org>  Tue, 12 Jul 2011 08:41:14 +0200

ptlib (2.8.4-1) experimental; urgency=low

  * New upstream release
  * NEW package libpt2.8.4 - soname bump 

 -- Mark Purcell <msp@debian.org>  Tue, 01 Mar 2011 07:58:50 +1100

ptlib (2.8.3-1) experimental; urgency=low

  * New upstream release 
  * NEW package libpt2.8.3 - soname bump
  * Add Build-Depends: libpulse-dev - Pulse audio support
  * dh_installchangelogs ChangeLog-ptlib-*.txt

 -- Mark Purcell <msp@debian.org>  Sat, 29 Jan 2011 19:43:33 +1100

ptlib (2.8.2-1) experimental; urgency=low

  * New upstream release
    - NEW packages libpt[2.8.2,-dbg] - soname bump
  * Standards Version 3.9.1 - no changes
  * source/format -> 3.0 (quilt)

 -- Mark Purcell <msp@debian.org>  Sat, 31 Jul 2010 12:55:13 +1000

ptlib (2.8.1-1) experimental; urgency=low

  * New upstream release
    - NEW packages libpt2.8.1[-dbg] - soname bump
  * Sync from branches/ptlib-2.6

 -- Mark Purcell <msp@debian.org>  Sun, 30 May 2010 13:37:37 +1000

ptlib (2.8.0-1) experimental; urgency=low

  * New upstream release
  * NEW package libpt2.8.0 - soname bump

 -- Mark Purcell <msp@debian.org>  Sun, 07 Mar 2010 09:31:14 +1100

=== debian/control ===
Source: ptlib
Section: libs
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>, Kilian Krause <kilian@debian.org>
Build-Depends: debhelper (>= 8), autotools-dev, doxygen, pkg-config, bison, flex,
 unixodbc-dev, libssl-dev, libldap2-dev, libsasl2-dev, libkrb5-dev, libexpat1-dev,
 libpulse-dev, pkg-kde-tools,
 libsdl1.2-dev, libdv4-dev, 
 libv4l-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libasound2-dev  [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
Build-Conflicts: libpt-dev, libpt2.8.4, libpt2.8.3, libpt2.10.1
Standards-Version: 3.9.2
Homepage: http://www.opalvoip.org/
Vcs-Svn: svn://svn.debian.org/pkg-voip/ptlib/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/ptlib/trunk/

Package: libpt2.10.1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Portable Tools Library
 This package contains the shared version of the library PTLib, which is
 a moderately large class library that has its genesis many years ago as
 a method to produce applications to run on both Microsoft Windows and
 Unix X-Window systems.
 .
 This package also contains all the current PTLib plugins (alsa, oss, pulse,
 v4l2 and v4l).

Package: libpt-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libpt2.10.1 (= ${binary:Version}),
 libc6-dev, libssl-dev, libldap2-dev, libsdl1.2-dev, libexpat1-dev, libsasl2-dev, unixodbc-dev, pkg-config
Description: Portable Tools Library development files
 This package contains the headers and a static version of the library
 PTLib, which is a moderately large class library that has its genesis
 many years ago as a method to produce applications to run on both
 Microsoft Windows and Unix X-Window systems.

Package: libpt-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libpt2.10.1 (= ${binary:Version})
Description: Portable Tools Library development debug files
 This package contains the shared and static debug symbols of the library
 PTLib, which is a moderately large class library that has its genesis
 many years ago as a method to produce applications to run on both
 Microsoft Windows and Unix X-Window systems.  This is not the debug compiled
 version of PTLib which would yield much more detailled information as a
 compromise of benefit and compile power consumption.

Package: libpt-doc
Section: doc
Priority: extra
Depends: ${misc:Depends}, libjs-jquery
Architecture: all
Description: Portable Tools Library documentation & sample files
 This package contains the documentation and samples to program with
 PTLib, which is a moderately large class library that has its genesis
 many years ago as a method to produce applications to run on both
 Microsoft Windows and Unix X-Window systems.

=== debian/rules ===
#!/usr/bin/make -f

DEBVERSION := $(shell head -n 1 debian/changelog \
		    | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
UPVERSION := $(shell echo $(DEBVERSION) | sed 's/~dfsg-.//')

FILENAME := ptlib_$(UPVERSION)~dfsg.orig.tar.gz
UPFILENAME := ptlib_$(UPVERSION).orig.tar.gz
URL := http://transact.dl.sourceforge.net/sourceforge/opalvoip/ptlib-$(UPVERSION).tar.bz2

# to collect all symbols on all archs in experimental
# and set this to 1 or higher once we move to unstable
export DPKG_GENSYMBOLS_CHECK_LEVEL=0

%:
	dh $@ --with autotools_dev --parallel --with=pkgkde-symbolshelper

override_dh_clean:
	if [ -f Makefile ];then \
		$(MAKE) PTLIBDIR=$(CURDIR) -C samples/hello_world clean||true ; \
		$(MAKE) distclean || true ; \
	fi
	rm -rf html
	dh_clean

override_dh_auto_configure:
	dh_auto_configure -- --enable-oss --enable-v4l --disable-avc --disable-dc 

override_dh_auto_build:
	dh_auto_build -- optshared docs

override_dh_strip:
	dh_strip -a --dbg-package=libpt-dbg

override_dh_link:
	# replace jquery.js with Debian's version
	rm -f debian/libpt-doc/usr/share/doc/libpt-doc/html/jquery.js
	dh_link

override_dh_auto_test:
	$(MAKE) PTLIBDIR=$(CURDIR) -C samples/hello_world clean
	$(MAKE) PTLIBDIR=$(CURDIR) -C samples/hello_world opt
	if (samples/hello_world/obj*/hello 2>/dev/null);then \
	   echo opt hello_world sample incorrectly compiled static; false ; \
	else \
	   echo opt hello_world sample correctly compiled non-static; \
	fi
	ln -s lib* lib ; LD_LIBRARY_PATH=$(CURDIR)/lib samples/hello_world/obj*/hello
	# if this won't work, we needn't even try going any further...
	rm lib
	# make sure samples are clean before we install them into libpt-doc
	$(MAKE) PTLIBDIR=$(CURDIR) -C samples/hello_world clean
	rm -rf samples/hello_world/obj_*

print-version:
	@@echo "Debian version:          $(DEBVERSION)"
	@@echo "Upstream version:        $(UPVERSION)"
	@@#echo "svn REV:                 $(REV)"

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@#this is for stable versions
	@@echo Downloading $(UPFILENAME) from $(URL) ...
	@@wget -nv -T10 -t3 -O ../tarballs/$(UPFILENAME) $(URL)
	@@echo 'Repacking as DFSG-free (removing windows EXEs)...'
	@@mkdir -p ../tarballs/ptlib-$(UPVERSION).tmp/
	@@cd ../tarballs/ptlib-$(UPVERSION).tmp ; tar xfj ../$(UPFILENAME)
	@@find ../tarballs/ptlib-$(UPVERSION).tmp/ -iname '*.exe' -delete
	@@echo Writing archive ../tarballs/$(FILENAME) ...
	@@cd ../tarballs/ptlib-$(UPVERSION).tmp ; tar cfz ../$(FILENAME) *
	@@echo Cleaning up...
	@@$(RM) -rf ../tarballs/ptlib-$(UPVERSION).tmp/ ../tarballs/$(UPFILENAME)

## ptlib 2.10.2~dfsg

=== debian/changelog ===
ptlib (2.10.2~dfsg-0ubuntu1) oneiric; urgency=low

  * Merge with Debian experimental. (LP: #836915) Remaining Ubuntu changes:
    - debian/rules: Configure with --enable-exceptions, to avoid
      -fno-exceptions leaking into pkg-config.
  * New upstream bug fix release
  * Drop pluginmgr.patch, dlclose_fix.patch: Included upstream.
  * debian/rules: Disable failing and rather dubious "compiled static" test,
    as this makes no actual effort of checking the binary. (The binary is
    really compiled dynamically)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 10 Sep 2011 09:12:12 +0200

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	dh_clean
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-oss --enable-v4l --disable-avc --disable-dc 
+	dh_auto_configure -- --enable-oss --enable-v4l --disable-avc --disable-dc --enable-exceptions
 
 override_dh_auto_build:
 	dh_auto_build -- optshared docs
@@ -40,11 +40,11 @@
 override_dh_auto_test:
 	$(MAKE) PTLIBDIR=$(CURDIR) -C samples/hello_world clean
 	$(MAKE) PTLIBDIR=$(CURDIR) -C samples/hello_world opt
-	if (samples/hello_world/obj*/hello 2>/dev/null);then \
-	   echo opt hello_world sample incorrectly compiled static; false ; \
-	else \
-	   echo opt hello_world sample correctly compiled non-static; \
-	fi
+	#if (samples/hello_world/obj*/hello 2>/dev/null);then \
+	#   echo opt hello_world sample incorrectly compiled static; false ; \
+	#else \
+	#   echo opt hello_world sample correctly compiled non-static; \
+	#fi
 	ln -s lib* lib ; LD_LIBRARY_PATH=$(CURDIR)/lib samples/hello_world/obj*/hello
 	# if this won't work, we needn't even try going any further...
 	rm lib

## ptlib 2.10.2%7edfsg

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ptlib
 Section: libs
 Priority: optional
-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>, Kilian Krause <kilian@debian.org>
 Build-Depends: debhelper (>= 8), autotools-dev, doxygen, pkg-config, bison, flex,
  unixodbc-dev, libssl-dev, libldap2-dev, libsasl2-dev, libkrb5-dev, libexpat1-dev,
@@ -9,13 +10,13 @@
  libsdl1.2-dev, libdv4-dev, 
  libv4l-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
  libasound2-dev  [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
-Build-Conflicts: libpt-dev, libpt2.8.4, libpt2.8.3, libpt2.10.1
+Build-Conflicts: libpt-dev, libpt2.8.4, libpt2.8.3, libpt2.10.1, libpt2.10.2
 Standards-Version: 3.9.2
 Homepage: http://www.opalvoip.org/
 Vcs-Svn: svn://svn.debian.org/pkg-voip/ptlib/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/ptlib/trunk/
 
-Package: libpt2.10.1
+Package: libpt2.10.2
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Portable Tools Library
@@ -30,7 +31,7 @@
 Package: libpt-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libpt2.10.1 (= ${binary:Version}),
+Depends: ${misc:Depends}, libpt2.10.2 (= ${binary:Version}),
  libc6-dev, libssl-dev, libldap2-dev, libsdl1.2-dev, libexpat1-dev, libsasl2-dev, unixodbc-dev, pkg-config
 Description: Portable Tools Library development files
  This package contains the headers and a static version of the library
@@ -42,7 +43,7 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends}, libpt2.10.1 (= ${binary:Version})
+Depends: ${misc:Depends}, libpt2.10.2 (= ${binary:Version})
 Description: Portable Tools Library development debug files
  This package contains the shared and static debug symbols of the library
  PTLib, which is a moderately large class library that has its genesis

## ptlib 2.10.4~dfsg

=== src/Makefile ===
--- 
+++ 
@@ -35,6 +35,7 @@
 LIBDIR  = $(PT_LIBDIR)
 TARGET  = $(LIBDIR)/$(PTLIB_FILE)
 VERSION_FILE = $(PTLIBDIR)/version.h
+REVISION_FILE = $(PTLIBDIR)/revision.h
 
 ##########################################
 
@@ -48,6 +49,11 @@
 endif
 VPATH_CXX		:= $(PLATFORM_SRC_DIR) $(COMMON_SRC_DIR) $(COMPONENT_SRC_DIR) 
 
+ifeq ($(OSTYPE),Darwin)
+SED_EXTREGEX_FLAG		= -E
+else
+SED_EXTREGEX_FLAG		= -r
+endif
 
 # try and keep the order of modules in reverse order of usage so any
 # global statics will be constructed/destructed in the correct order
@@ -113,8 +119,8 @@
 endif
 
 ifdef HAS_DIRECTSHOW
-SOURCES	+= $(PLATFORM_SRC_DIR)/vidinput_directx.cxx
-$(OBJDIR)/vidinput_directx.o: $(PLATFORM_SRC_DIR)/vidinput_directx.cxx
+SOURCES	+= $(PLATFORM_SRC_DIR)/directshow.cxx
+$(OBJDIR)/directshow.o: $(PLATFORM_SRC_DIR)/directshow.cxx
 	@if [ ! -d $(OBJDIR) ] ; then mkdir -p $(OBJDIR) ; fi
 	$(Q_CC)$(CXX) -DP_FORCE_STATIC_PLUGIN $(STDCCFLAGS) $(CFLAGS) -c $< -o $@
 endif
@@ -164,8 +170,9 @@
 
 ## Various modules
 
+SOURCES	+= $(COMPONENT_SRC_DIR)/pxml.cxx 
+
 ifdef HAS_EXPAT
-SOURCES	+= $(COMPONENT_SRC_DIR)/pxml.cxx 
 
 ifdef HAS_XMLRPC
 SOURCES	+= \
@@ -190,6 +197,9 @@
 endif
 endif # HAS_EXPAT
 
+ifdef HAS_LUA
+SOURCES	+= $(COMPONENT_SRC_DIR)/lua.cxx
+endif
 
 ifdef HAS_RESOLVER
 SOURCES += \
@@ -294,13 +304,13 @@
 SOURCES += \
 	$(COMPONENT_SRC_DIR)/http.cxx \
 	$(COMPONENT_SRC_DIR)/httpclnt.cxx \
+	$(COMPONENT_SRC_DIR)/html.cxx \
 	$(COMPONENT_SRC_DIR)/httpsrvr.cxx
 endif
 
 ifdef HAS_HTTPFORMS
 SOURCES += \
-	$(COMPONENT_SRC_DIR)/httpform.cxx \
-	$(COMPONENT_SRC_DIR)/html.cxx 
+	$(COMPONENT_SRC_DIR)/httpform.cxx
 endif #HAS_HTTPFORMS
 
 ifdef HAS_HTTPSVC
@@ -320,8 +330,6 @@
 SOURCES += $(PLATFORM_SRC_DIR)/config.cxx 
 endif
 endif
-
-SOURCES += $(COMPONENT_SRC_DIR)/threadpool.cxx
 
 ifdef HAS_VIDFILE
 SOURCES += $(COMPONENT_SRC_DIR)/pvidfile.cxx \
@@ -367,6 +375,8 @@
 GETDATE_SOURCE = $(COMMON_SRC_DIR)/getdate.tab.c
 
 SOURCES	+= \
+	$(COMPONENT_SRC_DIR)/cli.cxx \
+	$(COMPONENT_SRC_DIR)/threadpool.cxx \
 	$(COMPONENT_SRC_DIR)/ipacl.cxx \
 	$(COMPONENT_SRC_DIR)/qchannel.cxx \
 	$(COMPONENT_SRC_DIR)/delaychan.cxx \
@@ -375,14 +385,16 @@
 	$(COMPONENT_SRC_DIR)/random.cxx \
 	$(COMPONENT_SRC_DIR)/inetprot.cxx \
 	$(COMPONENT_SRC_DIR)/notifier_ext.cxx \
+	$(COMPONENT_SRC_DIR)/vcard.cxx \
 	$(COMPONENT_SRC_DIR)/guid.cxx \
 	$(GETDATE_SOURCE) \
 	$(PLATFORM_SRC_DIR)/assert.cxx \
-        $(COMMON_SRC_DIR)/pluginmgr.cxx \
+	$(COMMON_SRC_DIR)/pluginmgr.cxx \
 	$(COMMON_SRC_DIR)/sockets.cxx \
 	$(COMMON_SRC_DIR)/psockbun.cxx \
 	$(COMMON_SRC_DIR)/qos.cxx \
 	$(COMMON_SRC_DIR)/ptime.cxx \
+	$(COMMON_SRC_DIR)/syslog.cxx \
 	$(COMMON_SRC_DIR)/osutils.cxx \
 	$(COMMON_SRC_DIR)/safecoll.cxx \
 	$(COMMON_SRC_DIR)/collect.cxx \
@@ -396,6 +408,27 @@
 CLEAN_FILES = $(GETDATE_SOURCE)
 
 
+$(COMMON_SRC_DIR)/osutils.cxx: $(REVISION_FILE)
+
+$(REVISION_FILE) : $(REVISION_FILE).in
+ifeq ($(shell which svn 2> /dev/null),)
+	sed -e "s/.WCREV./`sed -n -e 's/.*Revision: \([0-9]*\).*/\1/p' $<`/" $< > $@
+else
+ifeq ($(wildcard .svn),)
+	sed -e "s/.WCREV./`sed -n -e 's/.*Revision: \([0-9]*\).*/\1/p' $<`/" $< > $@
+else
+	$(Q)sed "s/SVN_REVISION.*/SVN_REVISION `LC_ALL=C svn info | sed -n 's/Revision: //p'`/" $< > $@.tmp
+	$(Q)if diff -q $@ $@.tmp >/dev/null 2>&1; then \
+	  rm $@.tmp; \
+	else \
+	  mv -f $@.tmp $@; \
+	  echo "Revision file updated to `sed $(SED_EXTREGEX_FLAG) -n 's/.*SVN_REVISION(.*)/\1/p' $@`" ; \
+	fi
+
+.PHONY: $(REVISION_FILE)
+endif
+endif
+
 #######################################################
 
 include ../make/common.mak
@@ -427,7 +460,7 @@
 endif
 
 $(OBJDIR)/getdate.tab.o: $(GETDATE_SOURCE)
-	$(Q_CC)$(CC) $(STDCCFLAGS) $(CFLAGS) -c $< -o $@
+	$(Q_CC)$(CC) -Wno-write-strings $(STDCCFLAGS) $(CFLAGS) -c $< -o $@
 
 $(DEPDIR)/getdate.tab.dep: $(GETDATE_SOURCE)
 	$(Q_CC)$(CC) $(STDCCFLAGS) -M $< >> $@
@@ -442,6 +475,3 @@
 
 include $(PTLIBDIR)/make/lib.mak
 
-#######################################################
-
-# End of Makefile

=== debian/changelog ===
ptlib (2.10.4~dfsg-1) unstable; urgency=low

  * New upstream release 

  [ Eugen Dedu ]
  * Replace !kfreebsd* Build-Depends with linux-any to easy ports (Closes:
    #634502)

  [ Mark Purcell ]
  * NEW package libpt2.10.4 - soname bump
  * Upload to unstable - coordinated through debian-release
  * Ack NMU - Thks Robert
  * Fixed upstream "RTF_WASCLONED macro" (Closes: #637944)
  * Drop symbol support - few rdepends and exporting lots of symbols (C++)

 -- Mark Purcell <msp@debian.org>  Sat, 03 Mar 2012 08:38:24 +1100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: ptlib
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>, Kilian Krause <kilian@debian.org>
 Build-Depends: debhelper (>= 8), autotools-dev, doxygen, pkg-config, bison, flex,
  unixodbc-dev, libssl-dev, libldap2-dev, libsasl2-dev, libkrb5-dev, libexpat1-dev,
- libpulse-dev, pkg-kde-tools,
+ libpulse-dev,
  libsdl1.2-dev, libdv4-dev, 
- libv4l-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
- libasound2-dev  [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
-Build-Conflicts: libpt-dev, libpt2.8.4, libpt2.8.3, libpt2.10.1, libpt2.10.2
+ libv4l-dev [linux-any],
+ libasound2-dev  [linux-any]
+Build-Conflicts: libpt-dev, libpt2.8.4, libpt2.10.4, libpt2.10.1
 Standards-Version: 3.9.2
 Homepage: http://www.opalvoip.org/
 Vcs-Svn: svn://svn.debian.org/pkg-voip/ptlib/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/ptlib/trunk/
 
-Package: libpt2.10.2
+Package: libpt2.10.4
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Portable Tools Library
@@ -26,12 +25,12 @@
  Unix X-Window systems.
  .
  This package also contains all the current PTLib plugins (alsa, oss, pulse,
- v4l2 and v4l).
+ and v4l2).
 
 Package: libpt-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libpt2.10.2 (= ${binary:Version}),
+Depends: ${misc:Depends}, libpt2.10.4 (= ${binary:Version}),
  libc6-dev, libssl-dev, libldap2-dev, libsdl1.2-dev, libexpat1-dev, libsasl2-dev, unixodbc-dev, pkg-config
 Description: Portable Tools Library development files
  This package contains the headers and a static version of the library
@@ -43,7 +42,7 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends}, libpt2.10.2 (= ${binary:Version})
+Depends: ${misc:Depends}, libpt2.10.4 (= ${binary:Version})
 Description: Portable Tools Library development debug files
  This package contains the shared and static debug symbols of the library
  PTLib, which is a moderately large class library that has its genesis

=== debian/rules ===
--- 
+++ 
@@ -8,12 +8,8 @@
 UPFILENAME := ptlib_$(UPVERSION).orig.tar.gz
 URL := http://transact.dl.sourceforge.net/sourceforge/opalvoip/ptlib-$(UPVERSION).tar.bz2
 
-# to collect all symbols on all archs in experimental
-# and set this to 1 or higher once we move to unstable
-export DPKG_GENSYMBOLS_CHECK_LEVEL=0
-
 %:
-	dh $@ --with autotools_dev --parallel --with=pkgkde-symbolshelper
+	dh $@ --with autotools_dev --parallel
 
 override_dh_clean:
 	if [ -f Makefile ];then \

=== debian/watch ===
version=3

opts=dversionmangle=s/[\.~]dfsg(\d+)?//,uversionmangle=s/[_\.]+/\./g \
http://sf.net/opalvoip/ptlib-(\d.\d+.\d).tar.bz2 debian svn-upgrade

## ptlib 2.10.9~dfsg

=== debian/changelog ===
ptlib (2.10.9~dfsg-1) experimental; urgency=low

  [ Eugen Dedu ]
  * New upstream release
    - fixes GNU/Hurd build
  * NEW package libpt2.10.9 - match-soname
  * Remove some unneeded Build-Conflicts 

 -- Mark Purcell <msp@debian.org>  Tue, 27 Nov 2012 20:28:07 +1100

ptlib (2.10.7~dfsg-1) experimental; urgency=low

  * New upstream release
    - Fixes " FTBFS on Debian GNU/Hurd [patch attached]" (Closes: #681645)
  * NEW package libpt2.10.7 - match-soname 
  * Update debian/watch

 -- Mark Purcell <msp@debian.org>  Sat, 01 Sep 2012 10:09:01 +1000

ptlib (2.10.5~dfsg-1) experimental; urgency=low

  * New Upstream Release
  * NEW package libpt2.10.5 - match-soname

 -- Mark Purcell <msp@debian.org>  Wed, 23 May 2012 07:59:30 +1000

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
 Build-Depends: debhelper (>= 8), autotools-dev, doxygen, pkg-config, bison, flex,
  unixodbc-dev, libssl-dev, libldap2-dev, libsasl2-dev, libkrb5-dev, libexpat1-dev,
  libpulse-dev,
- libsdl1.2-dev, libdv4-dev, 
+ libsdl1.2-dev, libdv4-dev,
  libv4l-dev [linux-any],
  libasound2-dev  [linux-any]
-Build-Conflicts: libpt-dev, libpt2.8.4, libpt2.10.4, libpt2.10.1
-Standards-Version: 3.9.2
+Build-Conflicts: libpt-dev
+Standards-Version: 3.9.3
 Homepage: http://www.opalvoip.org/
 Vcs-Svn: svn://svn.debian.org/pkg-voip/ptlib/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/ptlib/trunk/
 
-Package: libpt2.10.4
+Package: libpt2.10.9
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Portable Tools Library
@@ -30,7 +30,7 @@
 Package: libpt-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libpt2.10.4 (= ${binary:Version}),
+Depends: ${misc:Depends}, libpt2.10.9 (= ${binary:Version}),
  libc6-dev, libssl-dev, libldap2-dev, libsdl1.2-dev, libexpat1-dev, libsasl2-dev, unixodbc-dev, pkg-config
 Description: Portable Tools Library development files
  This package contains the headers and a static version of the library
@@ -42,7 +42,7 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends}, libpt2.10.4 (= ${binary:Version})
+Depends: ${misc:Depends}, libpt2.10.9 (= ${binary:Version})
 Description: Portable Tools Library development debug files
  This package contains the shared and static debug symbols of the library
  PTLib, which is a moderately large class library that has its genesis
